Перейти к основному содержимому

Получить задачу по ID

GET
/tasks/{id}

Контракт

Параметр
Значение
Разделtasks
АвторизацияCookieAuth
Принимаетне требуется
Возвращаетapplication/json

Параметры

1 параметр

Имя
Где
Обязательный
Тип
Описание
idpathдаintegerID задачи

Ответы

4 ответов

Статус
Описание
Тип
200
Успешный ответobject
400
Некорректный IDobject
401
Не авторизованobject
500
Задача не найденаobject
  • {
      "task": {
        "accessPlane": [
          {
            "accessLine": [
              0
            ],
            "agent": {},
            "dhcp": [
              0
            ],
            "dhcpv6": [
              0
            ],
            "dot1x": [
              0
            ],
            "gptp": [
              0
            ],
            "groupId": 0,
            "igmp": [
              0
            ],
            "interfaces": [
              0
            ],
            "ipoe": [
              0
            ],
            "isServer": true,
            "l2tp": [
              0
            ],
            "lag": [
              0
            ],
            "links": [
              0
            ],
            "openflow": [
              0
            ],
            "ppp": [
              0
            ],
            "pppoe": [
              0
            ],
            "role": "<string>",
            "sessions": [
              0
            ],
            "stp": [
              0
            ]
          }
        ],
        "comment": "<string>",
        "configuration": [
          {
            "plugin": {},
            "subplugins": {},
            "values": {}
          }
        ],
        "controlPlane": [
          {
            "access": [
              0
            ],
            "agent": {},
            "bfd": [
              0
            ],
            "bgp": [
              0
            ],
            "evpn": [
              0
            ],
            "fec129": [
              0
            ],
            "igmp": [
              0
            ],
            "igmp-querier": [
              0
            ],
            "interfaces": [
              [
                0
              ]
            ],
            "isServer": true,
            "isis": [
              0
            ],
            "ldp": [
              0
            ],
            "link-oam": [
              0
            ],
            "mld": [
              0
            ],
            "mld-querier": [
              0
            ],
            "mldp": [
              0
            ],
            "mpls-oam": [
              0
            ],
            "mpls-tp": [
              0
            ],
            "ospf": [
              0
            ],
            "pim": [
              0
            ],
            "pseudowire": [
              0
            ],
            "rip": [
              0
            ],
            "vpls": [
              0
            ],
            "vpws": [
              0
            ]
          }
        ],
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "dumps": {
          "captureArp": true,
          "enabled": true,
          "savelen": 0
        },
        "error": "<string>",
        "finishedAt": "<string>",
        "id": 0,
        "issuer": {
          "agreementAccepted": true,
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "email": "<string>",
          "group": {},
          "groupID": 0,
          "id": 0,
          "isActive": true,
          "isRequiredToSetPassword": true,
          "lastLogin": "<string>",
          "notificationsReadAt": "<string>",
          "passwordLength": 0,
          "realName": "<string>",
          "updatedAt": "<string>"
        },
        "issuerID": 0,
        "startedAt": "<string>",
        "status": 0,
        "updatedAt": "<string>"
      },
      "warnings": [
        "<string>"
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }